#!/bin/sh

if [ -z "${OPTITDIR}" ] ; then
    OPTITDIR=/usr/local/optit
fi

LD_LIBRARY_PATH=${OPTITDIR}/lib:${LD_LIBRARY_PATH}
export LD_LIBRARY_PATH
runide_sh=$1
shift

exec ${runide_sh} \
    -J-Xbootclasspath/a:${OPTITDIR}/lib/oibcp.jar \
    -cp ${OPTITDIR}/lib/optit.jar \
    -J-DOPTITDIR=${OPTITDIR} \
    -J-Xruncci \
    -mainclass intuitive.audit.Cover \
    org.netbeans.Main \
    $*
